For a complete page index, fetch https://developer.close.com/llms.txt

# Get a single Smart View

GET https://api.close.com/api/v1/saved_search/{id}/

Reference: https://developer.close.com/api/resources/smart-views/get

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Close API
  version: 1.0.0
paths:
  /saved_search/{id}/:
    get:
      operationId: get
      summary: Get a single Smart View
      tags:
        - subpackage_smartViews
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: Basic authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SavedSearch'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                description: Any type
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Not found
          content:
            application/json:
              schema:
                description: Any type
servers:
  - url: https://api.close.com/api/v1
components:
  schemas:
    SharingSettingsEmbeddedResponse:
      type: object
      properties:
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        created_by_id:
          type:
            - string
            - 'null'
        group_ids:
          type: array
          items:
            type: string
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_by_id:
          type:
            - string
            - 'null'
        user_ids:
          type: array
          items:
            type: string
        whole_org:
          type: boolean
      required:
        - created_at
        - created_by_id
        - group_ids
        - updated_at
        - updated_by_id
        - user_ids
        - whole_org
      title: SharingSettingsEmbeddedResponse
    SavedSearchType:
      type: string
      enum:
        - lead
        - contact
        - opportunity
        - call
        - email
        - sms
        - meeting
        - note
        - whatsapp_message
        - custom_activity
        - form_submission
      title: SavedSearchType
    SavedSearch:
      type: object
      properties:
        date_created:
          type: string
          format: date-time
        date_updated:
          type: string
          format: date-time
        description:
          type:
            - string
            - 'null'
        id:
          type: string
        is_shared:
          type: boolean
        is_user_dependent:
          type:
            - boolean
            - 'null'
        name:
          type: string
        organization_id:
          type: string
        query:
          type:
            - string
            - 'null'
        s_query:
          type:
            - object
            - 'null'
          additionalProperties:
            description: Any type
        selected_fields:
          type:
            - array
            - 'null'
          items:
            type: object
            additionalProperties:
              description: Any type
        shared_with:
          type:
            - array
            - 'null'
          items:
            type: string
        sharing_settings:
          oneOf:
            - $ref: '#/components/schemas/SharingSettingsEmbeddedResponse'
            - type: 'null'
        type:
          $ref: '#/components/schemas/SavedSearchType'
        user_id:
          type:
            - string
            - 'null'
      required:
        - date_created
        - date_updated
        - description
        - id
        - is_shared
        - is_user_dependent
        - name
        - organization_id
        - query
        - s_query
        - type
        - user_id
      title: SavedSearch
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: basic
    OAuth2:
      type: http
      scheme: bearer

```

## SDK Code Examples

```python smart_views_get_example
import requests

url = "https://api.close.com/api/v1/saved_search/id/"

response = requests.get(url, auth=("<CLOSE_API_KEY>", ""))

print(response.json())
```

```javascript smart_views_get_example
const url = 'https://api.close.com/api/v1/saved_search/id/';
const credentials = btoa("<CLOSE_API_KEY>:");

const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go smart_views_get_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.close.com/api/v1/saved_search/id/"

	req, _ := http.NewRequest("GET", url, nil)

	req.SetBasicAuth("<CLOSE_API_KEY>", "")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby smart_views_get_example
require 'uri'
require 'net/http'

url = URI("https://api.close.com/api/v1/saved_search/id/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request.basic_auth("<CLOSE_API_KEY>", "")

response = http.request(request)
puts response.read_body
```

```java smart_views_get_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.close.com/api/v1/saved_search/id/")
  .basicAuth("<CLOSE_API_KEY>", "")
  .asString();
```

```php smart_views_get_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.close.com/api/v1/saved_search/id/', [
  'headers' => [
  ],
    'auth' => ['<CLOSE_API_KEY>', ''],
]);

echo $response->getBody();
```

```csharp smart_views_get_example
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://api.close.com/api/v1/saved_search/id/");
client.Authenticator = new HttpBasicAuthenticator("<CLOSE_API_KEY>", "");
var request = new RestRequest(Method.GET);

IRestResponse response = client.Execute(request);
```